Subject: Re: bug#38200: 26.2; sendmail.el needlessly munging headers by inserting backslashes

From: Katsumi Yamaoka <[email-masked]>
Date: Thu, 14 Nov 2019 17:05:34 +0900

On Thu, 14 Nov 2019 08:34:24 +0100, Lars Ingebrigtsen wrote:
> I seem to vaguely recall there perhaps being a problem with things
> like

> From: "Foo, Bar" <[email-masked]>, [email-masked]

> being tokenized into three email addresses

> Foo
> Bar <[email-masked]>
> [email-masked]

> But on the other hand, if there's anything that broken out there, you'd
> think that adding a backslash before the comma wouldn't help, either.

Sure.  Mail agents do not know what backslashes like to do.

> Katsumi Yamaoka <[email-masked]> writes:
>> But as for at least rfc2047-quote-*, it looks surely
>> needless.  With some brief tests, I verified the address-mime
>> encoder works without it.  Even if it is necessary for some cases,
>> it would probably be very rare, so I'd like to remove it now.
>> May I do that?

> Sure, go ahead.  If there's any interoperability problems here, we'll
> find out.  But I think it's pretty unlikely.

Done in master.  Thanks.  Ed, a patch for Emacs 26.2 is attached.

Regards,